### Method

# Gtk Label set_label

#### Declaration [src]

    void
    gtk_label_set_label (
      GtkLabel* self,
      const char* str
    )

#### Description [src]

Sets the text of the label.

The label is interpreted as including embedded underlines and/or Pango markup depending on the values of the `GtkLabel:use-underline` and `GtkLabel:use-markup` properties.

Sets property | `Gtk.Label:label`

#### Parameters

`str` | `const char*`
| The new text to set for the label.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.